1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Uninstalling PSA 8.1 on Debian

Discussion in 'Plesk for Linux - 8.x and Older' started by mlnospam, Apr 5, 2008.

  1. mlnospam

    mlnospam Guest

    0
     
    Hello,

    I started uninstalling PSA on a test machine using dpkg -P <packagenames> and now I have a big mess because it couldn't uninstall every packages. It's got to the point that I can't even install new packages with apt-get install.

    As you can see here in the output I would like to install exim4 package:

    ---
    Reading Package Lists... Done
    Building Dependency Tree... Done
    Correcting dependencies... Done
    The following extra packages will be installed:
    exim4 exim4-base exim4-config exim4-daemon-light libgnutls13 libsasl2-2 libtasn1-3 python-support
    Suggested packages:
    eximon4 exim4-doc-html exim4-doc-info gnutls-bin libmail-spf-query-perl
    Recommended packages:
    libsasl2-modules libtasn1-3-bin
    The following packages will be REMOVED:
    psa-api-rpc psa-backup-manager psa-migration-manager psa-spamassassin
    The following NEW packages will be installed:
    exim4 exim4-base exim4-config exim4-daemon-light libgnutls13 libsasl2-2 libtasn1-3 python-support
    0 upgraded, 8 newly installed, 4 to remove and 493 not upgraded.
    Need to get 0B/2146kB of archives.
    After unpacking 10.4MB disk space will be freed.
    Do you want to continue? [Y/n] y
    Preconfiguring packages ...
    (Reading database ... 112043 files and directories currently installed.)
    Removing psa-backup-manager ...
    /usr/bin/mysqladmin: connect to server at 'localhost' failed
    error: 'Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)'
    Check that mysqld is running and that the socket: '/var/run/mysqld/mysqld.sock' exists!

    ERROR while trying to Fatal Error: cannot connect to mysql server
    Check the error reason(see log file: /tmp/backup-manager_8.1.1_debian3.1.build81070322.16_installing.log), fix and try again

    Aborting...

    dpkg: error processing psa-backup-manager (--remove):
    subprocess pre-removal script returned error exit status 1
    Removing psa-spamassassin ...

    ERROR while trying to execute SQL query, the query was: UPDATE mail SET spamfilter = 'false'
    Check the error reason(see log file: /tmp/spammng_8.1.1_debian3.1.build81070322.16_installing.log), fix and try again

    Aborting...

    dpkg: error processing psa-spamassassin (--remove):
    subprocess pre-removal script returned error exit status 1
    dpkg: psa-migration-manager: dependency problems, but removing anyway as you request:
    psa-backup-manager depends on psa-migration-manager (= 8.1.1-debian3.1.build81070322.16).
    Removing psa-migration-manager ...
    /usr/bin/mysqladmin: connect to server at 'localhost' failed
    error: 'Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)'
    Check that mysqld is running and that the socket: '/var/run/mysqld/mysqld.sock' exists!

    ERROR while trying to Fatal Error: cannot connect to mysql server
    Check the error reason(see log file: /tmp/pmm_8.1.1_debian3.1.build81070322.16_installing.log), fix and try again

    Aborting...

    dpkg: error processing psa-migration-manager (--remove):
    subprocess pre-removal script returned error exit status 1
    dpkg: psa-api-rpc: dependency problems, but removing anyway as you request:
    psa-backup-manager depends on psa-api-rpc (= 8.1.1-debian3.1.build81070322.16).
    Removing psa-api-rpc ...
    /usr/bin/mysqladmin: connect to server at 'localhost' failed
    error: 'Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)'
    Check that mysqld is running and that the socket: '/var/run/mysqld/mysqld.sock' exists!

    ERROR while trying to Fatal Error: cannot connect to mysql server
    Check the error reason(see log file: /tmp/api-rpc_8.1.1_debian3.1.build81070322.16_installing.log), fix and try again

    Aborting...

    dpkg: error processing psa-api-rpc (--remove):
    subprocess post-removal script returned error exit status 1
    Errors were encountered while processing:
    psa-backup-manager
    psa-spamassassin
    psa-migration-manager
    psa-api-rpc
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    ---

    Can anyone help me forcing the removal of PSA packages ? I think that would be the best. Or does anyone have another idea ?

    Thanks

    Regards
     
Loading...